"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserProfileEntity = void 0;
const typeorm_1 = require("typeorm");
const _common_enum_1 = require("../enums/_common.enum");
const _common_entity_1 = require("./_common.entity");
let UserProfileEntity = class UserProfileEntity extends _common_entity_1.CommonEntity {
};
exports.UserProfileEntity = UserProfileEntity;
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], UserProfileEntity.prototype, "identification", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserProfileEntity.prototype, "no_of_alo_point", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserProfileEntity.prototype, "no_of_follow", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserProfileEntity.prototype, "no_of_friend", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'double precision',
        default: 1,
    }),
    __metadata("design:type", Number)
], UserProfileEntity.prototype, "time_seen_promotion", void 0);
exports.UserProfileEntity = UserProfileEntity = __decorate([
    (0, typeorm_1.Entity)('user_profile')
], UserProfileEntity);
//# sourceMappingURL=user-profile.entity.js.map