"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserSettingEntity = void 0;
const typeorm_1 = require("typeorm");
const _common_enum_1 = require("../enums/_common.enum");
const _common_entity_1 = require("./_common.entity");
let UserSettingEntity = class UserSettingEntity extends _common_entity_1.CommonEntity {
};
exports.UserSettingEntity = UserSettingEntity;
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.TRUE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "is_notify", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "is_dark_mode", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "view", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.TRUE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "view_about", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.TRUE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "view_friend", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.TRUE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "view_life_event", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.TRUE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "view_media", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.TRUE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "is_request_friend", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "is_display_name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "is_enable_gender", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "is_enable_birthday", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "is_enable_phone", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "is_enable_email", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "is_enable_address", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "is_enable_city", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "is_enable_district", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'smallint',
        default: _common_enum_1.BOOLEAN.FALSE,
    }),
    __metadata("design:type", Number)
], UserSettingEntity.prototype, "is_enable_ward", void 0);
exports.UserSettingEntity = UserSettingEntity = __decorate([
    (0, typeorm_1.Entity)('user_setting')
], UserSettingEntity);
//# sourceMappingURL=user-setting.entity.js.map