"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SocketData = exports.THUMBNAIL_TYPE_SYSTEM = exports.THUMBNAIL_TYPE = exports.THUMBNAIL_IS_SYSTEM = exports.BOOLEAN = void 0;
var BOOLEAN;
(function (BOOLEAN) {
    BOOLEAN[BOOLEAN["FALSE"] = 0] = "FALSE";
    BOOLEAN[BOOLEAN["TRUE"] = 1] = "TRUE";
})(BOOLEAN || (exports.BOOLEAN = BOOLEAN = {}));
var THUMBNAIL_IS_SYSTEM;
(function (THUMBNAIL_IS_SYSTEM) {
    THUMBNAIL_IS_SYSTEM[THUMBNAIL_IS_SYSTEM["SYSTEM_OUT"] = 0] = "SYSTEM_OUT";
    THUMBNAIL_IS_SYSTEM[THUMBNAIL_IS_SYSTEM["SYSTEM_IN"] = 1] = "SYSTEM_IN";
    THUMBNAIL_IS_SYSTEM[THUMBNAIL_IS_SYSTEM["YOUTUBE"] = 2] = "YOUTUBE";
})(THUMBNAIL_IS_SYSTEM || (exports.THUMBNAIL_IS_SYSTEM = THUMBNAIL_IS_SYSTEM = {}));
var THUMBNAIL_TYPE;
(function (THUMBNAIL_TYPE) {
    THUMBNAIL_TYPE[THUMBNAIL_TYPE["NOT_JOIN"] = 0] = "NOT_JOIN";
    THUMBNAIL_TYPE[THUMBNAIL_TYPE["JOIN"] = 1] = "JOIN";
    THUMBNAIL_TYPE[THUMBNAIL_TYPE["WAITING_CONFIRM"] = 2] = "WAITING_CONFIRM";
    THUMBNAIL_TYPE[THUMBNAIL_TYPE["BLOCKED"] = 3] = "BLOCKED";
})(THUMBNAIL_TYPE || (exports.THUMBNAIL_TYPE = THUMBNAIL_TYPE = {}));
var THUMBNAIL_TYPE_SYSTEM;
(function (THUMBNAIL_TYPE_SYSTEM) {
    THUMBNAIL_TYPE_SYSTEM[THUMBNAIL_TYPE_SYSTEM["LINK_JOIN"] = 1] = "LINK_JOIN";
    THUMBNAIL_TYPE_SYSTEM[THUMBNAIL_TYPE_SYSTEM["GROUP"] = 2] = "GROUP";
    THUMBNAIL_TYPE_SYSTEM[THUMBNAIL_TYPE_SYSTEM["FANPAGE"] = 3] = "FANPAGE";
    THUMBNAIL_TYPE_SYSTEM[THUMBNAIL_TYPE_SYSTEM["BUSINESS_CARD"] = 4] = "BUSINESS_CARD";
    THUMBNAIL_TYPE_SYSTEM[THUMBNAIL_TYPE_SYSTEM["POST"] = 5] = "POST";
    THUMBNAIL_TYPE_SYSTEM[THUMBNAIL_TYPE_SYSTEM["SHORT_VIDEO"] = 6] = "SHORT_VIDEO";
    THUMBNAIL_TYPE_SYSTEM[THUMBNAIL_TYPE_SYSTEM["BRAND"] = 7] = "BRAND";
})(THUMBNAIL_TYPE_SYSTEM || (exports.THUMBNAIL_TYPE_SYSTEM = THUMBNAIL_TYPE_SYSTEM = {}));
class SocketData {
    constructor(data) {
        this.user_id = data.user_id;
        this.conversation_id = data.conversation_id;
        this.device = data.device;
        this.is_typing = data.is_typing;
    }
}
exports.SocketData = SocketData;
//# sourceMappingURL=_common.enum.js.map