"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CONVERSATION_USER_BLOCK = exports.LINK_JOIN_QR = exports.CONVERSATION_PERSONAL_STATUS = exports.CONVERSATION_STATUS = exports.CONVERSATION_TYPE = exports.CONVERSATION_MEMBER_PERMISSION = exports.CONVERSATION_BACKGROUND_STATUS = void 0;
var CONVERSATION_BACKGROUND_STATUS;
(function (CONVERSATION_BACKGROUND_STATUS) {
    CONVERSATION_BACKGROUND_STATUS[CONVERSATION_BACKGROUND_STATUS["DELETED"] = 0] = "DELETED";
    CONVERSATION_BACKGROUND_STATUS[CONVERSATION_BACKGROUND_STATUS["ACTIVE"] = 1] = "ACTIVE";
})(CONVERSATION_BACKGROUND_STATUS || (exports.CONVERSATION_BACKGROUND_STATUS = CONVERSATION_BACKGROUND_STATUS = {}));
var CONVERSATION_MEMBER_PERMISSION;
(function (CONVERSATION_MEMBER_PERMISSION) {
    CONVERSATION_MEMBER_PERMISSION[CONVERSATION_MEMBER_PERMISSION["MEMBER"] = 0] = "MEMBER";
    CONVERSATION_MEMBER_PERMISSION[CONVERSATION_MEMBER_PERMISSION["DEPUTY"] = 1] = "DEPUTY";
    CONVERSATION_MEMBER_PERMISSION[CONVERSATION_MEMBER_PERMISSION["OWNER"] = 2] = "OWNER";
})(CONVERSATION_MEMBER_PERMISSION || (exports.CONVERSATION_MEMBER_PERMISSION = CONVERSATION_MEMBER_PERMISSION = {}));
var CONVERSATION_TYPE;
(function (CONVERSATION_TYPE) {
    CONVERSATION_TYPE[CONVERSATION_TYPE["SYSTEM"] = 0] = "SYSTEM";
    CONVERSATION_TYPE[CONVERSATION_TYPE["GROUP"] = 1] = "GROUP";
    CONVERSATION_TYPE[CONVERSATION_TYPE["PERSONAL"] = 2] = "PERSONAL";
})(CONVERSATION_TYPE || (exports.CONVERSATION_TYPE = CONVERSATION_TYPE = {}));
var CONVERSATION_STATUS;
(function (CONVERSATION_STATUS) {
    CONVERSATION_STATUS[CONVERSATION_STATUS["REPORTED"] = 0] = "REPORTED";
    CONVERSATION_STATUS[CONVERSATION_STATUS["ACTIVE"] = 1] = "ACTIVE";
    CONVERSATION_STATUS[CONVERSATION_STATUS["DISSOLVED"] = 2] = "DISSOLVED";
})(CONVERSATION_STATUS || (exports.CONVERSATION_STATUS = CONVERSATION_STATUS = {}));
var CONVERSATION_PERSONAL_STATUS;
(function (CONVERSATION_PERSONAL_STATUS) {
    CONVERSATION_PERSONAL_STATUS[CONVERSATION_PERSONAL_STATUS["ACTIVE"] = 1] = "ACTIVE";
    CONVERSATION_PERSONAL_STATUS[CONVERSATION_PERSONAL_STATUS["REPORT_LOCK"] = 2] = "REPORT_LOCK";
    CONVERSATION_PERSONAL_STATUS[CONVERSATION_PERSONAL_STATUS["USER_REMOVE"] = 3] = "USER_REMOVE";
    CONVERSATION_PERSONAL_STATUS[CONVERSATION_PERSONAL_STATUS["USER_REQUEST_REMOVE"] = 4] = "USER_REQUEST_REMOVE";
})(CONVERSATION_PERSONAL_STATUS || (exports.CONVERSATION_PERSONAL_STATUS = CONVERSATION_PERSONAL_STATUS = {}));
exports.LINK_JOIN_QR = 'LINK_JOIN';
var CONVERSATION_USER_BLOCK;
(function (CONVERSATION_USER_BLOCK) {
    CONVERSATION_USER_BLOCK[CONVERSATION_USER_BLOCK["NONE"] = 0] = "NONE";
    CONVERSATION_USER_BLOCK[CONVERSATION_USER_BLOCK["BLOCKED"] = 1] = "BLOCKED";
    CONVERSATION_USER_BLOCK[CONVERSATION_USER_BLOCK["IS_BLOCK"] = 2] = "IS_BLOCK";
})(CONVERSATION_USER_BLOCK || (exports.CONVERSATION_USER_BLOCK = CONVERSATION_USER_BLOCK = {}));
//# sourceMappingURL=conversation.enum.js.map