export declare class RedisKey {
    ACTION_LEVEL: string;
    STICKER_DEFAULT: string;
    STICKER_FIRST_MESSAGE: string;
    private PREFIX;
    constructor(env: string);
    USER_INFO(userId: string | number, userInfoSubKey: USER_INFO_SUB_KEY): string;
    USER_CONNECTION(userId: string | number, device: string): string;
    CONVERSATION(conversationId: string, conversationSubKey: CONVERSATION_SUB_KEY): string;
    CONVERSATION_USER_BACKGROUND(userId: string | number, conversationId: string): string;
    CARD_TAG(cardTagId: string): string;
    NO_OF_NOT_SEEN(userId: string | number): string;
    STICKER(categoryStickerId: string): string;
    STICKER_CATEGORY(categoryStickerId: string): string;
}
type USER_INFO_SUB_KEY = 'BLOCK' | 'CONVERSATION_HIDDEN' | 'CONVERSATION_REMOVE' | 'CONVERSATION_DISABLE_NOTIFY' | 'CONVERSATION_PINNED' | 'FOLLOW' | 'FRIEND' | 'MY_STICKER' | 'NOT_SUGGEST' | 'PROFILE' | 'WAITING_CONFIRM' | 'WAITING_RESPONSE' | 'STICKER_RECENTLY' | 'UN_FOLLOW' | 'HIDDEN_POST' | 'LAST_CONNECT';
type CONVERSATION_SUB_KEY = 'LAST_MESSAGE' | 'NOTIFY';
export {};
