import { DynamicModule, InjectionToken, OptionalFactoryDependency } from '@nestjs/common';
export declare class RedisHelperModule {
    static register(options: {
        ioRedis: InjectionToken | OptionalFactoryDependency;
        elastic: InjectionToken | OptionalFactoryDependency;
        nodeEnv: string;
        elastic_index: {
            techres_customers: string;
        };
        dataSourceName?: string;
    }): DynamicModule;
}
