"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var RedisHelperModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedisHelperModule = void 0;
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const redis_helper_service_1 = require("./redis-helper.service");
let RedisHelperModule = RedisHelperModule_1 = class RedisHelperModule {
    static register(options) {
        const { ioRedis, elastic, nodeEnv, elastic_index, dataSourceName } = options;
        return {
            global: true,
            module: RedisHelperModule_1,
            providers: [
                {
                    provide: redis_helper_service_1.RedisHelper,
                    useFactory: (connection, redis, elastic) => {
                        return new redis_helper_service_1.RedisHelper(connection, nodeEnv, redis, elastic_index, elastic);
                    },
                    inject: [(0, typeorm_1.getDataSourceToken)(dataSourceName), ioRedis, elastic],
                },
            ],
            exports: [redis_helper_service_1.RedisHelper],
        };
    }
};
exports.RedisHelperModule = RedisHelperModule;
exports.RedisHelperModule = RedisHelperModule = RedisHelperModule_1 = __decorate([
    (0, common_1.Module)({})
], RedisHelperModule);
//# sourceMappingURL=redis-helper.module.js.map