import { Column, Entity } from 'typeorm';
import { CommonEntity } from './_common.entity';

@Entity('conversation_user_message')
export class ConversationUserMessageEntity extends CommonEntity {
  @Column({
    type: 'bigint',
  })
  conversation_id: string;

  @Column({
    type: 'bigint',
  })
  user_id: string;

  @Column({
    type: 'bigint',
    default: 0,
  })
  message_pre_id: string;

  @Column({
    type: 'bigint',
    default: 0,
  })
  message_last_id: string;
}
