import { BOOLEAN, IMedia, ISticker, ITag, IThumbnail, IUser } from '../enums/_common.enum';
import { IMessageUserTarget, MESSAGE_STATUS, MESSAGE_TYPE } from '../enums/message.enum';
import { CommonEntity } from './_common.entity';
export declare class MessageEntity extends CommonEntity {
    conversation_id: string;
    user_id: string;
    user_target: IMessageUserTarget[];
    message: string;
    media: IMedia[];
    thumb: IThumbnail;
    sticker: ISticker;
    tag: ITag[];
    no_of_reaction: number;
    is_pinned: BOOLEAN;
    is_share: BOOLEAN;
    is_timeline: BOOLEAN;
    message_reply_id: string;
    no_of_like: number;
    no_of_love: number;
    no_of_wow: number;
    no_of_sad: number;
    no_of_haha: number;
    no_of_angry: number;
    viewed_users: IUser[];
    link_join_group: string;
    message_vote_id: string;
    type: MESSAGE_TYPE;
    status: MESSAGE_STATUS;
    search_value_normalized: string;
    beforeInsert(): void;
    private searchValueNormalized;
    conversation_updated_at: number;
}
