import { BOOLEAN } from '../enums/_common.enum';
import { USER_DELETE_STATUS, USER_GENDER } from '../enums/user.enum';
export interface UserEntity {
    id: number;
    nick_name: string;
    first_name: string;
    last_name: string;
    name: string;
    prefix: string;
    normalize_name: string;
    email: string;
    avatar: string;
    cover_urls: string;
    password: string;
    phone: string;
    gender: USER_GENDER;
    birthday: number;
    city_id: number;
    district_id: number;
    ward_id: number;
    ward_name: string;
    district_name: string;
    city_name: string;
    street_name: string;
    address_full_text: string;
    auth_type: number;
    fb_uid: string;
    gg_uid: string;
    apple_uid: string;
    verify_code: string;
    verify_fail_count: number;
    last_verify_code_created_at: number;
    is_display_nick_name: BOOLEAN;
    is_verified: BOOLEAN;
    is_turn_off_all_notify: BOOLEAN;
    status: BOOLEAN;
    created_at: number;
    updated_at: number;
    company_name: string;
    company_tax_number: string;
    company_phone: string;
    company_address: string;
    advert_package_for_business_type_id: number;
    advert_package_for_premium_type_id: number;
    last_activity_at: number;
    is_old: BOOLEAN;
    jwt_token: string;
    is_deactived: BOOLEAN;
    is_report: BOOLEAN;
    setting: string;
    qr_code: string;
    delete_status: USER_DELETE_STATUS;
    request_delete_at: number;
    last_qr_code_create_at: number;
}
