"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.REPORT_TYPE = exports.REPORT_STATUS = exports.USER_REPORT_TYPE = void 0;
var USER_REPORT_TYPE;
(function (USER_REPORT_TYPE) {
    USER_REPORT_TYPE[USER_REPORT_TYPE["INCORRECT_INFORMATION"] = 1] = "INCORRECT_INFORMATION";
    USER_REPORT_TYPE[USER_REPORT_TYPE["HATE_SPEECH"] = 2] = "HATE_SPEECH";
    USER_REPORT_TYPE[USER_REPORT_TYPE["SEX_CONTENT"] = 3] = "SEX_CONTENT";
    USER_REPORT_TYPE[USER_REPORT_TYPE["VIOLENCE"] = 4] = "VIOLENCE";
    USER_REPORT_TYPE[USER_REPORT_TYPE["HEARSAY"] = 5] = "HEARSAY";
    USER_REPORT_TYPE[USER_REPORT_TYPE["TROUBLE"] = 6] = "TROUBLE";
    USER_REPORT_TYPE[USER_REPORT_TYPE["CHEAT"] = 7] = "CHEAT";
    USER_REPORT_TYPE[USER_REPORT_TYPE["UNAUTHORIZED_SALE"] = 8] = "UNAUTHORIZED_SALE";
    USER_REPORT_TYPE[USER_REPORT_TYPE["COPY_RIGHT"] = 9] = "COPY_RIGHT";
})(USER_REPORT_TYPE || (exports.USER_REPORT_TYPE = USER_REPORT_TYPE = {}));
var REPORT_STATUS;
(function (REPORT_STATUS) {
    REPORT_STATUS[REPORT_STATUS["WAITING_CHECK"] = 0] = "WAITING_CHECK";
    REPORT_STATUS[REPORT_STATUS["CLEAN"] = 1] = "CLEAN";
    REPORT_STATUS[REPORT_STATUS["BLOCK"] = 2] = "BLOCK";
})(REPORT_STATUS || (exports.REPORT_STATUS = REPORT_STATUS = {}));
var REPORT_TYPE;
(function (REPORT_TYPE) {
    REPORT_TYPE[REPORT_TYPE["USER"] = 1] = "USER";
    REPORT_TYPE[REPORT_TYPE["POST"] = 2] = "POST";
    REPORT_TYPE[REPORT_TYPE["COMMENT"] = 3] = "COMMENT";
    REPORT_TYPE[REPORT_TYPE["FANPAGE"] = 4] = "FANPAGE";
    REPORT_TYPE[REPORT_TYPE["GROUP"] = 5] = "GROUP";
    REPORT_TYPE[REPORT_TYPE["CONVERSATION"] = 6] = "CONVERSATION";
    REPORT_TYPE[REPORT_TYPE["MESSAGE"] = 7] = "MESSAGE";
})(REPORT_TYPE || (exports.REPORT_TYPE = REPORT_TYPE = {}));
//# sourceMappingURL=report.enum.js.map