import { Column, Entity } from 'typeorm';
import { BOOLEAN } from '../enums/_common.enum';
import { CommonEntity } from './_common.entity';

@Entity('user_profile')
export class UserProfileEntity extends CommonEntity {
  @Column({
    type: 'smallint',
    default: BOOLEAN.FALSE,
  })
  identification: BOOLEAN;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_alo_point: number;

  @Column({
    type: 'int',
    default: 0,
  })
  no_of_follow: number;

  @Column({
    type: 'smallint',
    default: 0,
  })
  no_of_friend: number;

  @Column({
    type: 'double precision',
    default: 1,
  })
  time_seen_promotion: number;
}
